<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width">
        <script src="https://d3js.org/d3.v3.js"></script>        
        <title>D3 1</title>
    </head>
    <body>
        <script>
            var data = [38,69,72,42,58,87];

            d3.select('body').selectAll('div')
            .data(data)
            .enter()
            .append('div')
            .text(function(d){
                return d;
            })
            .style({
                'color':function(d){
                    if(d<60){
                        return 'red'
                    }
                },
                'width':function(d){
                    return d+'px'
                },
                'margin':'2px 0',
                'background':'#aaa',
            });
            
            console.log('min: '+ d3.min(data));         //最小值
            console.log('max: '+ d3.max(data));         //最大值
            console.log('sum: '+ d3.sum(data));         //總和
            console.log('extent: '+ d3.extent(data));   //最小值與最大值
            console.log('mean: '+ d3.mean(data));       //平均數
            console.log('shuffle: '+ d3.shuffle(data)); //亂數排列
        </script>
    </body>
</html>